<?php
//ini_set('display_errors',1);
session_start();
require_once ("../../config/Cado.php");
require_once ("../ventasucursalhora_cst/cVentasucursalhora_cst.php");
$oVentasucursalhora_cst = new cVentasucursalhora_cst();


require_once ("../puntoventa/cPuntoventa.php");
$oPuntoventa = new cPuntoventa();

$fec = date('Y-m-d');
require_once ("../formatos/formato.php");
require_once ("../formatos/fechas.php");


$fec1 = $_POST["fec1"];
list($dia,$mes,$anio) = explode('-',$fec1);

$dts=$oPuntoventa->filtrar('','');

?>
<style>
	div#div_tabla { margin: 0 0; }
	div#div_tabla table { margin: 0 0; border-collapse: collapse; width: 100%; }
	div#div_tabla table td, div#div_tabla table th { border: 1px solid #eee; padding: 2px 3px; font-size:15px; }
	div#div_tabla table th { height:18px }
	div#div_tabla table td { height:17px }
</style>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		    <div class="card">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:5px;">
		
		<button class="btn btn-success" id="btn_excel"> <i class="fas fa-file-excel"></i> DESCARGAR EXCEL </button>
		
        	<div class="table-responsive" id="div_tabla">
			 
			<div class="col-lg-12 col-xs-12" style="height:10px;"></div>
			 
          <table id="tabla_resumen_todos" class="table table-bordered table-striped">
           <thead>
							
			<tr class="" style="font-weight:bold;font-size:16px;background-color:#B2EBF2">
				<th>SUCURSAL</th>
				
				
				
				<?php 
				$arraydia = array('12:00 AM', '01:00 AM', '02:00 AM','03:00 AM', '04:00 AM','05:00 AM', '06:00 AM','07:00 AM', 
				'08:00 AM','09:00 AM', '10:00 AM','11:00 AM','12:00 PM', '01:00 PM', '02:00 PM','03:00 PM', '04:00 PM','05:00 PM', '06:00 PM','07:00 PM', 
				'08:00 PM','09:00 PM', '10:00 PM','11:00 PM');
				$array_numdia = count($arraydia);
				
				for($i=0;$i<$array_numdia;$i++){
				?>
				<th nowrap ><?php echo $arraydia[$i]; ?></th>
				<?php 	
				}
				?>
				
				<th></th>
				
			</tr>
		</thead>
		
		
		
		<tbody>
		
		<?php 
		while($dt = mysqli_fetch_array($dts)){
			$totalfila = 0;
		?>
		<tr>
				<td><?php echo $dt['tb_puntoventa_nom']; ?></td>
				
				
			
				<?php 
				$arraydia = array('12:00 AM', '01:00 AM', '02:00 AM','03:00 AM', '04:00 AM','05:00 AM', '06:00 AM','07:00 AM', 
				'08:00 AM','09:00 AM', '10:00 AM','11:00 AM','12:00 PM', '01:00 PM', '02:00 PM','03:00 PM', '04:00 PM','05:00 PM', '06:00 PM','07:00 PM', 
				'08:00 PM','09:00 PM', '10:00 PM','11:00 PM');
				$array_numdia = count($arraydia);
				$punven_id = $dt['tb_puntoventa_id'];
				
				for($i=0;$i<$array_numdia;$i++){
					
					if($i==0){
						$des = strtotime($anio."-".$mes."-".$dia." 12:00:00 am");
						$has = strtotime($anio."-".$mes."-".$dia." 12:59:00 am");
					}else if($i==1){
						$des = strtotime($anio."-".$mes."-".$dia." 01:00:00 am");
						$has = strtotime($anio."-".$mes."-".$dia." 01:59:00 am");
					}else if($i==2){
						$des = strtotime($anio."-".$mes."-".$dia." 02:00:00 am");
						$has = strtotime($anio."-".$mes."-".$dia." 02:59:00 am");
					}else if($i==3){
						$des = strtotime($anio."-".$mes."-".$dia." 03:00:00 am");
						$has = strtotime($anio."-".$mes."-".$dia." 03:59:00 am");
					}else if($i==4){
						$des = strtotime($anio."-".$mes."-".$dia." 04:00:00 am");
						$has = strtotime($anio."-".$mes."-".$dia." 04:59:00 am");
					}else if($i==5){
						$des = strtotime($anio."-".$mes."-".$dia." 05:00:00 am");
						$has = strtotime($anio."-".$mes."-".$dia." 05:59:00 am");
					}else if($i==6){
						$des = strtotime($anio."-".$mes."-".$dia." 06:00:00 am");
						$has = strtotime($anio."-".$mes."-".$dia." 06:59:00 am");
					}else if($i==7){
						$des = strtotime($anio."-".$mes."-".$dia." 07:00:00 am");
						$has = strtotime($anio."-".$mes."-".$dia." 07:59:00 am");
					}else if($i==8){
						$des = strtotime($anio."-".$mes."-".$dia." 08:00:00 am");
						$has = strtotime($anio."-".$mes."-".$dia." 08:59:00 am");
					}else if($i==9){
						$des = strtotime($anio."-".$mes."-".$dia." 09:00:00 am");
						$has = strtotime($anio."-".$mes."-".$dia." 09:59:00 am");
					}else if($i==10){
						$des = strtotime($anio."-".$mes."-".$dia." 10:00:00 am");
						$has = strtotime($anio."-".$mes."-".$dia." 10:59:00 am");
					}else if($i==11){
						$des = strtotime($anio."-".$mes."-".$dia." 11:00:00 am");
						$has = strtotime($anio."-".$mes."-".$dia." 11:59:00 am");
					}else if($i==12){
						$des = strtotime($anio."-".$mes."-".$dia." 12:00:00 pm");
						$has = strtotime($anio."-".$mes."-".$dia." 12:59:00 pm");
					}else if($i==13){
						$des = strtotime($anio."-".$mes."-".$dia." 01:00:00 pm");
						$has = strtotime($anio."-".$mes."-".$dia." 01:59:00 pm");
					}else if($i==14){
						$des = strtotime($anio."-".$mes."-".$dia." 02:00:00 pm");
						$has = strtotime($anio."-".$mes."-".$dia." 02:59:00 pm");
					}else if($i==15){
						$des = strtotime($anio."-".$mes."-".$dia." 03:00:00 pm");
						$has = strtotime($anio."-".$mes."-".$dia." 03:59:00 pm");
					}else if($i==16){
						$des = strtotime($anio."-".$mes."-".$dia." 04:00:00 pm");
						$has = strtotime($anio."-".$mes."-".$dia." 04:59:00 pm");
					}else if($i==17){
						$des = strtotime($anio."-".$mes."-".$dia." 05:00:00 pm");
						$has = strtotime($anio."-".$mes."-".$dia." 05:59:00 pm");
					}else if($i==18){
						$des = strtotime($anio."-".$mes."-".$dia." 06:00:00 pm");
						$has = strtotime($anio."-".$mes."-".$dia." 06:59:00 pm");
					}else if($i==19){
						$des = strtotime($anio."-".$mes."-".$dia." 07:00:00 pm");
						$has = strtotime($anio."-".$mes."-".$dia." 07:59:00 pm");
					}else if($i==20){
						$des = strtotime($anio."-".$mes."-".$dia." 08:00:00 pm");
						$has = strtotime($anio."-".$mes."-".$dia." 08:59:00 pm");
					}else if($i==21){
						$des = strtotime($anio."-".$mes."-".$dia." 09:00:00 pm");
						$has = strtotime($anio."-".$mes."-".$dia." 09:59:00 pm");
					}else if($i==22){
						$des = strtotime($anio."-".$mes."-".$dia." 10:00:00 pm");
						$has = strtotime($anio."-".$mes."-".$dia." 10:59:00 pm");
					}else if($i==23){
						$des = strtotime($anio."-".$mes."-".$dia." 11:00:00 pm");
						$has = strtotime($anio."-".$mes."-".$dia." 11:59:00 pm");
					}
					
					
				$dts7 = $oVentasucursalhora_cst->mostrarSumaVentaxHora($des,$has,$punven_id);
				$dt7 = mysqli_fetch_array($dts7);
				$totalventa = $dt7['sumtot'];
					
					
					
				?>
				<th nowrap ><?php echo $totalventa; ?></th>
				<?php
					
					 $data["total_".$i] += $totalventa;
					$totalfila += $totalventa;
				}
				?>
			
				<th nowrap ><?php echo formato_money($totalfila); ?></th>
				
				
		</tr>
		<?php  
			
		 }
		?>
		
		
		
		</tbody>
		
			
<tr>
		
		<td></td>	
		
		
		
		<?PHP 
		for($i=0;$i<$array_numdia;$i++){
			
		?>
		
		<td></td>	
		
		<?PHP 
			
		}
		
		?>
		
		
		
		
		
		</tr>

		
	
		
		<tr>
		
		<td>TOTAL</td>	
		
		
		
		<?PHP 
		for($i=0;$i<$array_numdia;$i++){
			$i = $i * 1;
		?>
		
		<td><?php echo formato_money($data["total_".$i]); ?></td>	
		
		<?PHP 
			
		}
		
		?>
		
		</tr>
	
	
		
      </table>
	  	
	    </div>
	</div>
  </div>
</div>
</div>
</section>
<script type="text/javascript">
function abrirEnPestana(url) {
		var a = document.createElement("a");
		a.target = "_blank";
		a.href = url;
		a.click();
}
$(function(){
	
$("#btn_excel").click(function(){
		fec1 = "<?php echo fecha_mysql($_POST['fec1']) ?>";
	abrirEnPestana('../../files/ventasucursalhora_cst/ventasucursalhora_cst_excel.php?fec1='+fec1);
});
	
	});
</script>  